.quiz-page {
  display: flex;
  flex-direction: column;
  width: 100%;
}

.quiz-page__container {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 0;
  position: relative;
  flex: 1;
}

.quiz-content {
  width: 100%;
  max-width: 42.5rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 0;
  padding-bottom: 30px;
}

.quiz-content__title {
  font-family: var(--font-secondary);
  font-weight: 800;
  font-size: 2.125rem;
  text-transform: uppercase;
  color: var(--color-primary);
  text-align: left;
  align-self: flex-start;
}

.quiz-content__input-group {
  width: 100%;
  display: flex;
  flex-direction: column;
  margin-bottom: 30px;
  margin-top: 39px;
  gap: 1.875rem;
}

.quiz-content__input-wrapper {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  border-bottom: 1px solid var(--color-primary);
  padding-bottom: 0.625rem;
}

.quiz-content__input-label {
  font-family: var(--font-primary);
  font-size: 1.25rem;
  line-height: 1.5625rem;
  font-weight: 600;
  color: var(--color-primary);
  text-align: left;
  margin-bottom: 1.5625rem;
}

.quiz-content__input-field {
  width: 100%;
  font-family: var(--font-secondary);
  font-size: 5.8rem;
  line-height: 3.75rem;
  color: var(--color-text);
  outline: none;
  background: none;
  border: none;
  padding: 0;

  color: var(--color-primary);
  font-weight: 700;
  text-align: left;
  text-transform: uppercase;
}

.quiz-content__input-field:empty:before {
  content: attr(data-placeholder);
  color: rgba(171, 168, 161, 1);
}

.quiz-content__input-unit {
  font-family: var(--font-secondary);
  font-size: 1.75rem;
  color: var(--color-primary);
  position: absolute;
  right: 0;
  bottom: 0.5rem;
  font-weight: 700;
  text-align: right;
  text-transform: uppercase;
}

.quiz-content__options {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 0.625rem;
  margin-bottom: 30px;
}

.quiz-content__option {
  background-color: #ffffff;
  border: 5px solid transparent;
  border-radius: 0.625rem;
  padding: 8px 0.375rem;
  font-family: var(--font-secondary);
  font-size: 1.375rem;
  font-weight: 700;
  text-transform: uppercase;
  color: var(--color-primary);
  text-align: center;
  cursor: pointer;
  transition: background-color var(--transition-default),
    border-color var(--transition-default);
  align-items: center;
}

.quiz-content__option--alternative {
  font-family: var(--font-primary);
  font-weight: 400;
  font-size: 18px;
  line-height: 100%;
  text-align: center;
  text-transform: none;
}



.quiz-content__option.selected {
  background-color: var(--color-accent);
  border-color: #ffffff;
}

.quiz-content__option.flash {
  animation: double-flash 0.6s ease-in-out;
}

.quiz-content__description {
  font-family: var(--font-primary);
  font-size: 1.125rem;
  line-height: 1.5rem;
  color: var(--color-primary);
  text-align: left;
  align-self: flex-start;
  font-weight: 600;
  margin-top: 17px;
  margin-bottom: 29px;
}

.quiz-content__description--alternative {
  text-align: left;
  font-size: 18px;
  line-height: 25px;
}

.quiz-content__buttons {
  display: flex;
  width: 100%;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  gap: 10px;
}

.quiz-content__button {
  font-family: var(--font-primary);
  font-weight: 500;
  font-size: 1.25rem;
  line-height: 1;
  background-color: var(--color-accent);
  border: none;
  color: var(--color-primary);
  padding: 0.75rem 1.25rem;
  cursor: pointer;
  width: 100%;
  max-width: 13.625rem;
  min-height: 3.75rem;
  display: flex;
  align-items: center;
  align-self: flex-end;
  justify-content: space-between;
  transition: background-color var(--transition-default), transform 0.2s ease;
}

.quiz-content__button:hover {
  background-color: #CDFF30;
  transform: translateY(-2px);
}

.quiz-content__button:active {
  background-color: #CDFF30;
  transform: translateY(-2px);
}

.quiz-content__button:active {
  background-color: #B8E13A;
  transform: translateY(0);
}

.quiz-content__button-icon {
  width: 1.175rem;
}

.quiz-content__previous {
  font-family: var(--font-primary);
  font-size: 1rem;
  color: var(--color-text);
  background: none;
  border: none;
  cursor: pointer;
  display: flex;
  align-items: center;
  gap: 0.5rem;
  font-weight: 500;
  text-align: left;
  align-self: flex-start;
  height: 45px;
  align-self: center;
}

.quiz-content__previous-icon {
  width: 0.9375rem;
  transform: rotate(180deg);
}

.quiz-content__card {
  background-color: #ffffff;
  border-radius: 0.625rem;
  padding: 1.5rem 1.25rem 1.25rem 1.25rem;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 1.5625rem;
  margin-top: 40px;
}

.quiz-content__card-image {
  width: 100%;
  align-self: center;
}

.quiz-content__card-text {
  font-family: var(--font-primary);
  font-size: 1rem;
  line-height: 1.25rem;
  color: var(--color-text);
  text-align: center;
  text-align: left;
}

/* guarantee footer */

.quiz-guarantee {
  padding-bottom: 1.875rem;
  padding-top: 1.25rem;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 1.5rem;
  margin-top: auto;
  border-top: 1px solid rgba(14, 12, 9, 0.1);
}

.quiz-guarantee__content {
  display: flex;
  align-items: center;
  gap: 1.25rem;
}

.quiz-guarantee__logo {
  width: 4rem;
  height: 4rem;
}

.quiz-guarantee__text {
  font-family: var(--font-primary);
  color: var(--color-text);
  font-size: 0.875rem;
  line-height: 1rem;
  text-align: left;
}

.quiz-guarantee__text--bold {
  font-weight: 700;
}

.quiz-guarantee__partners {
  display: flex;
  gap: 1.875rem;
  align-items: flex-end;
}

.norton {
  height: 1rem;
  width: auto;
}

.mcafee {
  height: 0.9375rem;
  width: auto;
}

.trustpilot {
  height: 1.375rem;
  width: auto;
}

/* loading page */

.quiz-loading {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 1.5rem;
  padding: 2rem 0;
}

.quiz-loading__item {
  display: flex;
  align-items: center;
  gap: 0.75rem;
  width: 100%;
}

.quiz-loading__spinner {
  width: 1.25rem;
  height: 1.25rem;
  animation: spin 1s linear infinite;
}

.quiz-loading__check {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: 1.25rem;
  height: 1.25rem;
  min-width: 1.25rem;
  min-height: 1.25rem;
  background-color: var(--color-accent);
  border-radius: 50%;
}

.quiz-loading__check img {
  width: 0.75rem;
  height: 0.75rem;
}

.quiz-loading__text {
  font-family: var(--font-primary);
  font-size: 1rem;
  color: var(--color-text);
  line-height: 1.4;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

@keyframes double-flash {
  0% {
    opacity: 1;
  }

  20% {
    opacity: 0.5;
  }

  40% {
    opacity: 1;
  }

  60% {
    opacity: 0.5;
  }

  80% {
    opacity: 1;
  }

  100% {
    opacity: 1;
  }
}

@media (min-width: 769px) {
  .quiz-content {
    padding-bottom: 13.4375rem;
  }

  .quiz-content__title {
    font-size: 2.5rem;
    padding-top: 25px;
    padding-bottom: 0;
  }

  .quiz-content__description {
    font-size: 1.375rem;
    line-height: 1.5625rem;
    margin-top: 25px;
    margin-bottom: 20px;
  }

  .quiz-content__input-group {
    margin-bottom: 25px;
  }

  .quiz-content__options {
    flex-direction: row;
    gap: 0;
    border: 5px solid transparent;
    background-color: #ffffff;
    border-radius: 0.625rem;
    padding: 0;
    margin-bottom: 0;
  }

  .quiz-content__option {
    flex: 1;
    border: none;
    border-radius: 0.5rem;
    font-size: 1.375rem;
    transition: background-color var(--transition-default),
      color var(--transition-default);
  }

  .quiz-content__option:hover {
    background-color: var(--color-secondary);
  }

  .quiz-content__option.selected {
    background-color: var(--color-accent);
    color: var(--color-primary);
  }

  .quiz-content__option.flash {
    animation: double-flash 0.6s ease-in-out;
  }

  .quiz-content__buttons {
    justify-content: flex-end;
  }

  .quiz-content__previous {
    align-self: flex-start;
    height: 45px;
    margin-top: 20px;
  }

  /* ALTERNATIVE FLOW STYLES  */

  .quiz-content__description--alternative {
    text-align: center;
    font-size: 28px;
    line-height: 25px;
    margin-top: 18px;
    margin-bottom: 16px;
    margin-inline: auto;
  }

  .quiz-content__options--alternative {
    flex-direction: column;
    background-color: unset;
    gap: 0.625rem;
    border: none;
  }

  .quiz-content__option--alternative {
    border: 5px solid #ffffff;
    font-family: var(--font-primary);
    font-weight: 400;
    font-size: 18px;
    line-height: 100%;
    text-align: center;
    text-transform: none;
    margin-left: 15.5px;
    margin-right: 15.5px;
  }

  .quiz-content__option--alternative:hover {
    background-color: var(--color-secondary);
  }

  .quiz-content__option--alternative.selected {
    background-color: var(--color-accent);
    color: var(--color-primary);
  }

  .quiz-content__option--alternative.flash {
    animation: double-flash 0.6s ease-in-out;
  }

  /* ALTERNATIVE FLOW STYLES  */

  .quiz-content__card {
    flex-direction: row;
    margin-top: 30px;
    padding-right: 3.5rem;
    gap: 1.5625rem;
    align-items: flex-start;
  }

  .quiz-content__card-image {
    width: 10rem;
    height: 10rem;
  }

  .quiz-content__card-text {
    font-size: 1.0625rem;
  }

  .quiz-guarantee {
    padding: 0 0;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    max-width: 42.5rem;
    border-top: none;
  }

  .quiz-guarantee__partners {
    gap: 1.25rem;
  }

  .quiz-loading__text {
    font-size: 1.125rem;
  }
}

/* Progress bar styles */
.quiz-progress-wrapper {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 16px;
  position: relative;
  margin-bottom: 40px;
}

.quiz-progress-numeric {
  font-family: var(--font-primary);
  font-weight: 400;
  font-size: 20px;
  line-height: 21px;
  color: #000000;
  text-align: center;
}

.quiz-progress-numeric--mobile {
  display: block;
}

.quiz-progress-numeric--desktop {
  display: none;
}

.quiz-progress-bar {
  width: 100%;
  max-width: 100%;
  height: 28px;
  background-color: #ffffff;
  border-radius: 10px;
  overflow: hidden;
  position: relative;
}

.quiz-progress-bar__fill {
  height: 100%;
  background-color: var(--color-accent);
  border: 3px solid white;
  border-radius: 8px;
  transition: width 0.3s ease;
  width: 0;
}

@media (min-width: 769px) {
  .quiz-progress-wrapper {
    flex-direction: row;
    align-items: center;
    justify-content: center;
    margin-top: 20px;
    margin-bottom: 48px;
  }

  .quiz-progress-numeric--mobile {
    display: none;
  }

  .quiz-progress-numeric--desktop {
    display: block;
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
  }

  .quiz-progress-bar {
    width: 826px;
    max-width: 826px;
  }
}